body{

    font-family: Verdana, Geneva, Tahoma, sans-serif;

}

table{

    width: 100%;
    border: 1px solid #fde4cc;
    border-radius: 10px;
    border-spacing: 0;
    overflow: hidden;

}

table th,
table td{

    text-align: center;
    padding: 10px 15px;
    border-bottom: 1px solid #fde4cc;
    font-size: 14px;
    color: #6a6e83;

}

table tr:last-child th,
table tr:last-child  td{

    border-bottom: 0px;

}

table a{

    text-decoration: none;
    color: inherit;

}

table a:hover{

    color: #7e8298;

}

tr:nth-child(odd) {
    background-color: #fef3ec;
}

tr th {
    font-weight: 600;
    color: #fff;
    background-color: #F49560 !important;
}


#dashboard_add_element_panel,
#dashboard_update_panel,
#dashboard_confirm_panel,
#dashboard_search_panel,
#dashboard_upload_panel{

    display: none;
    background-color: #55555544;
    position: fixed;
    top: 0px;
    left: 0px;
    bottom: 0px;
    right: 0px;
    z-index: 200;
    justify-items: center;
    align-content: center;

}

#dashboard_add_element_panel > .add_panel,
#dashboard_update_panel > .update_panel,
#dashboard_confirm_panel > div,
#dashboard_search_panel > div,
#dashboard_upload_panel > div{

    background-color: #fff;
    width: 550px;
    min-height: 50px;
    padding: 40px;
    border-radius: 30px;
    position: relative;

}

#dashboard_add_element_panel > .add_panel > .dashboard_close_button,
#dashboard_update_panel > .update_panel > .dashboard_close_button,
#dashboard_confirm_panel > div > .dashboard_close_button,
#dashboard_search_panel > div > .dashboard_close_button,
#dashboard_upload_panel > div > .dashboard_close_button{

    float: none !important;
    position: absolute;
    top: -12px;
    right: -12px;

}

#dashboard_add_panel_submit_button,
#dashboard_update_panel_submit_button,
#dashboard_confirm_submit_button,
#dashboard_search_submit_button,
#dashboard_upload_submit_button,
#self_checkin_page_save_event_button,
#self_checkin_page_confirm_checkin,
#self_checkin_page_reject_checkin{

    padding: 6px 40px; 
    background-color: #F49560; 
    color: #fff; 
    position: relative; 
    display: inline-block; 
    text-align: center; 
    border-radius: 60px;
    cursor: pointer;
    margin-top: 40px;

}

#dashboard_add_panel_submit_button:hover,
#dashboard_update_panel_submit_button:hover,
#dashboard_cancel_checkin_submit_button:hover,
#self_checkin_page_save_event_button:hover,
#self_checkin_page_confirm_checkin:hover,
#self_checkin_page_reject_checkin:hover{

    background-color: #fba374; 
    color: #fff;

}


.dashboard_content_placeholder{

    display: flex;

}

.dashboard_page_title{

    font-size: 40px;
    margin-bottom: 50px;

}

.dashboard_page_subtitle{

    margin-bottom: 25px; 
    font-size: 22px; 
    color: #FB7730;

}

.contain_img{

	background-size: contain;
	background-repeat: no-repeat; 
	background-position: center;

}

.cover_img{

	background-size: cover;
	background-repeat: no-repeat; 
	background-position: center;

}

.search_input,
#public_checkin_list_search_input{

    padding: 7px 15px; 
    border-radius: 20px; 
    border: 1px solid #fde4cc; 
    color: #6a6e83; 
    width: 500px; 
    font-size: 18px;

}

.search_input::placeholder,
#public_checkin_list_search_input::placeholder{

    color: #9096b1; 

}

.dashboard_search_page_div{

    width: 100%; 
    position: relative;
    overflow: hidden; 
    display: flex; 
    align-items: center; 
    margin-bottom: 20px;

}

.dashboard_search_page_subdiv{

    display: inline-block; 
    align-items: center; 
    width: 100%;

}

.dashboard_add_button,
.dashboard_close_button,
.dashboard_csv_upload_button{

    display: inline-block; 
    float: right;

}

.dashboard_add_button > i,
.dashboard_close_button > i,
.dashboard_delete_button > i,
.dashboard_csv_upload_button > i,
.dashboard_edit_button > i,
.dashboard_download_button > i,
.dashboard_scramble_button > i,
.dashboard_stats_button > i{

    font-size: 24px; 
    background-color: #F49560; 
    color: #fff; 
    border-radius: 37px; 
    width: 37px; 
    height: 37px; 
    align-content: center; 
    text-align: center;
    cursor: pointer;

}

.dashboard_stats_button > i{

    width: 39px;
    height: 39px;
    font-size: 20px; 

}

.dashboard_download_button > i{

    margin-left: 5px;

}

.dashboard_add_button > i{

    padding: 0px 1px;
    padding-top: 2px;

}

.dashboard_csv_upload_button > i{

    padding: 1px;

}

.dashboard_close_button > i{

    padding: 0px 1px;
    padding-bottom: 2px;
    font-size: 22px !important;

}

.dashboard_delete_button > i,
.dashboard_edit_button > i{

    padding: 1px;

}

.dashboard_add_button > i:hover,
.dashboard_close_button > i:hover,
.dashboard_delete_button > i:hover,
.dashboard_csv_upload_button > i:hover,
.dashboard_edit_button > i:hover,
.dashboard_download_button > i:hover,
.dashboard_scramble_button > i:hover,
.dashboard_stats_button > i:hover{

    background-color: #fba374; 
    color: #fff;

}

.dashboard_add_panel_new_element_div,
.dashboard_update_panel_element_div{

    width: 100%;
    display: none;

}

.dashboard_add_panel_new_element_div input,
.dashboard_add_panel_new_element_div textarea,
.dashboard_add_panel_new_element_div select,
.dashboard_update_panel_element_div input,
.dashboard_update_panel_element_div textarea,
.dashboard_update_panel_element_div select,
#dashboard_confirm_panel input,
#dashboard_search_panel input,
#dashboard_upload_panel input{

    padding: 4px 14px; 
    border-radius: 20px; 
    border: 1px solid #fde4cc; 
    color: #6a6e83; 
    width: calc(100% - 30px); 
    font-size: 18px;
    margin-bottom: 12px;

}

.dashboard_add_panel_new_element_div textarea,
.dashboard_update_panel_element_div textarea{

    resize: none;
    height: 120px;

}

.dashboard_add_panel_new_element_div select,
.dashboard_update_panel_element_div select{

    width: 100%;

}

.dashboard_add_panel_new_element_div input::placeholder,
.dashboard_add_panel_new_element_div textarea::placeholder,
.dashboard_update_panel_element_div input::placeholder,
.dashboard_update_panel_element_div textarea::placeholder{

    color: #9096b1; 

}

.search_panel_results_element{

    cursor: pointer; 
    background-color: #fff; 
    padding: 14px; 
    border-bottom: 1px solid #fef1e5; 
    color: #6a6e83;

}

#dashboard_loading_page{

    background-color: #ffffff; 
    position: absolute; 
    left: 241px; 
    right: 0px; 
    top: 31px; 
    bottom: 0px; 
    z-index: 300; 
    display: none; 
    justify-items: center; 
    align-content: center;

}

#dashboard_loading_page > .cover_img{

    width: 150px; 
    height: 50px; 
    background-image: url('/imgs/loading.gif'); 
    position: absolute;

}

.pages_back_button{

    position: absolute; 
    top: 10px; 
    left: 15px; 
    color: #AB365A; 
    cursor: pointer; 
    font-size: 18px;

}

.dom_pages_main_container{

    padding: 5%;

}

.table_not_found{

    padding: 15px 0px; 
    font-size: 18px;

}






.spin {
    -webkit-animation: rotation 2s infinite linear;
}

@-webkit-keyframes rotation {
    from {-webkit-transform: rotate(0deg);}
    to   {-webkit-transform: rotate(359deg);}
}



@media only screen and (min-width : 780px) and (orientation: portrait) {

    #dashboard_loading_page{

        left: 0px; 
        right: 0px; 
        top: 61px;

    }

    #dashboard_loading_page > .cover_img{

        width: 250px; 
        height: 100px;

    }

    table{

        margin-bottom: 5%;
        margin-right: 50px;

    }

    table th,
    table td{

        font-size: 22px;

    }

    .table_not_found{

        font-size: 25px;

    }

    .dashboard_add_button > i,
    .dashboard_close_button > i,
    .dashboard_delete_button > i,
    .dashboard_csv_upload_button > i,
    .dashboard_edit_button > i,
    .dashboard_download_button > i,
    .dashboard_scramble_button > i,
    .dashboard_stats_button > i{

        font-size: 30px; 
        border-radius: 50px; 
        width: 50px; 
        height: 50px; 

    }

    .search_input, #public_checkin_list_search_input {
    
        padding: 10px 20px;
        border-radius: 25px;
        border: 1px solid #fde4cc;
        color: #6a6e83;
        width: 500px;
        font-size: 25px;
        
    }

    .pages_back_button{

        top: 20px; 
        left: 5%;
        font-size: 30px;

    }

    .dom_pages_main_container{

        margin-top: 30px;

    }

    .dashboard_page_title{

        font-size: 50px;

    }

    .dashboard_page_subtitle{

        margin-bottom: 30px; 
        font-size: 30px; 

    }

    .dashboard_add_panel_new_element_div input,
    .dashboard_add_panel_new_element_div textarea,
    .dashboard_add_panel_new_element_div select,
    .dashboard_update_panel_element_div input,
    .dashboard_update_panel_element_div textarea,
    .dashboard_update_panel_element_div select,
    #dashboard_confirm_panel input,
    #dashboard_search_panel input,
    #dashboard_upload_panel input{

        padding: 10px 20px; 
        border-radius: 25px; 
        border: 1px solid #fde4cc; 
        width: calc(100% - 30px); 
        font-size: 25px;
        margin-bottom: 15px;

    }

    #dashboard_add_panel_submit_button,
    #dashboard_update_panel_submit_button,
    #dashboard_confirm_submit_button,
    #dashboard_search_submit_button,
    #dashboard_upload_submit_button,
    #self_checkin_page_save_event_button,
    #self_checkin_page_confirm_checkin,
    #self_checkin_page_reject_checkin{

        font-size: 25px;
        padding: 10px 50px; 
        border-radius: 80px;
        margin-top: 55px;

    }

    .dashboard_close_button > i{

        padding-bottom: 1px;
        padding-left: 2px;
        font-size: 28px !important;

    }

}